# What's unique about TextWorld
- Learn (intermediate) reward from textual feedback (or hints).
- Learn affordances w.r.t. objects' properties (e.g. something openable *might be* lockable, something lockable *is* openable)
- Learn affordances of objects depending on their location (e.g. object in a fridge are probably edible)

Related to Hermann etal., Grounded Language Learning in a Simulated 3D World:
- Interpretation of familiar language in entirely novel surroundings (e.g. by changing map/objects configuration).
- Execution of novel instructions composed of combinations of familiar words (e.g. by seeing only a subset of adjective-noun or verb-object combinations)
- [Different]





# [Grounded Language Learning in a Simulated 3D World](https://arxiv.org/pdf/1706.06551.pdf)
Follow-up paper [UNDERSTANDING GROUNDED LANGUAGE LEARNING AGENTS](https://arxiv.org/pdf/1710.09867.pdf)



## What's it about?
The most advanced such agents learn to execute a range of phrasal and multi-task instructions, such as `find the green object in the red room, pick up the pencil in the third room on the right or go to the small green torch`, in a continous, simulated 3D world.

## Experiments
They show:
- interpretation of familiar language in entirely novel surroundings
- execution of novel instructions composed of combinations of familiar words



# [Zero-Shot Task Generalization with Multi-Task Deep Reinforcement Learning](https://arxiv.org/pdf/1706.05064.pdf)

## What's it about?
Follow text instructions in Minecraft.

## Experiments



# [Gated-Attention Architectures for Task-Oriented Language Grounding](https://arxiv.org/pdf/1706.07230.pdf)

## What's it about?
Follow instructions in VisDoom

## Experiments




# [Mapping Instructions and Visual Observations to Actions with Reinforcement Learning](https://arxiv.org/pdf/1704.08795.pdf)


## What's it about?
Follow instructions in the Blocks environment

Insteresting reward shaping
```The reward function does not provide intermediate positive feedback to the agent for actions that bring it closer to its goal.```


# Would be nice to try out
- [Automated Curriculum Learning for Neural Networks](https://arxiv.org/pdf/1704.03003.pdf)



